scala.collection.immutable
object ImmutableIterator

[source: `scala/collection/immutable/ImmutableIterator.scala`]

`` `object` ImmutableIterator
  `extends` AnyRef

  An object for creating immutable iterators.

Method Summary
`def` | apply [A](left : () => ImmutableIterator[A], right : () => ImmutableIterator[A]) : () => ImmutableIterator[A] Concats a lazy immutable iterator (left) with another lazy immutable iterator (right).
`def` | apply [A](left : ImmutableIterator[A], item : A, right : () => ImmutableIterator[A]) : ImmutableIterator[A] Appends an immutable iterator (left) with an element (item) followed by a lazy immutable iterator (right).
`def` | apply [A](item : A) : ImmutableIterator[A] Creates an immutable iterator with one element.
`def` | apply [A](item : A, right : () => ImmutableIterator[A]) : () => ImmutableIterator[A] Prepends a lazy immutable iterator (right) with an element (item).
`def` | empty : ImmutableIterator[Nothing] Creates an empty immutable iterator.

Methods inherited from AnyRef
getClass, hashCode, equals, clone, toString, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Object Summary
`case object` | Empty `extends` ImmutableIterator[Nothing]`with` Product

Method Details

`` `def` empty : ImmutableIterator[Nothing]

  Creates an empty immutable iterator.

`` `def` apply[A](item : A) : ImmutableIterator[A]

  Creates an immutable iterator with one element.

`` `def` apply[A](item : A, right : () => ImmutableIterator[A]) : () => ImmutableIterator[A]

  Prepends a lazy immutable iterator (right) with an element (item).

`` `def` apply[A](left : ImmutableIterator[A], item : A, right : () => ImmutableIterator[A]) : ImmutableIterator[A]

  Appends an immutable iterator (left) with an element (item) followed by a lazy immutable iterator (right).

`` `def` apply[A](left : () => ImmutableIterator[A], right : () => ImmutableIterator[A]) : () => ImmutableIterator[A]

  Concats a lazy immutable iterator (left) with another lazy immutable iterator (right).